<?php

use think\facade\Route;

/**
 * 商户 相关路由
 */
Route::group('merchant', function () {
	Route::post('register', 'v1.merchant.Merchant/registerMerchant')->name('registerMerchant');//注册商户
    Route::post('edit/:mer_id', 'v1.merchant.Merchant/editMerchant')->name('editMerchant');//编辑商户
    Route::get('list', 'v1.merchant.Merchant/getMerchantList')->name('getMerchantList');//获取商户列表
    Route::get('detail/:mer_id', 'v1.merchant.Merchant/getMerchantDetail')->name('getMerchantDetail');//获取商户详情
    Route::post('del/:mer_id', 'v1.merchant.Merchant/delete')->name('deleteMerchantMiniprogram');//删除商户小程序绑定记录
    Route::post('edit_pay/:mer_id', 'v1.merchant.Merchant/editMerchantPay')->name('editMerchantPay');//编辑商户支付信息
})->middleware([
    \app\http\middleware\AllowOriginMiddleware::class,
    \app\adminapi\middleware\AdminAuthTokenMiddleware::class,
    \app\adminapi\middleware\AdminCkeckRole::class
]);